Bug 138540 - It moves Formula's tooltip when you type a formula in Formula bar in Calc
Summary: It moves Formula's tooltip when you type a formula in Formula bar in Calc
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Tooltip
  Show dependency treegraph
 
Reported: 2020-11-28 11:05 UTC by Roman Kuznetsov
Modified: 2021-02-17 11:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2020-11-28 11:05:15 UTC
Description:
It moves Formula's tooltip when you type a formula in Formula bar in Calc

Steps to Reproduce:
1. Open Calc
2. Click in Formula bar
3. Start to enter any formula like =sum(if
4. Look to formula's tooltip with function's arguments => it runs to right

Actual Results:
Tooltip runs to right

Expected Results:
Tooltip stays near formula


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha1+ (x64)
Build ID: ccd0e5f445d4a7d0e7aca6c23c02c61bf14510b2
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: CL
Comment 1 Roman Kuznetsov 2020-11-28 11:08:07 UTC Comment hidden (obsolete)
Comment 2 Xisco Faulí 2020-11-30 20:00:55 UTC
I do confirm the issue was introduced by (also reproducible with gtk3 ):

https://cgit.freedesktop.org/libreoffice/core/commit/?id=e087e25f05e689091cbf1c4f91b6e93878ac17ec

author	Caolán McNamara <caolanm@redhat.com>	2020-10-05 14:19:05 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2020-10-16 12:54:14 +0200
commit	e087e25f05e689091cbf1c4f91b6e93878ac17ec (patch)
tree	8adb7ccbfa34e45e549a17bd9ee0a85067db1671
parent	d6b7cc3f7c07b98c90194e8b33cf44b94804b525 (diff)
weld InputBar
Comment 3 Commit Notification 2020-12-02 15:46:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c90c6c1316d6788601319c1bca8ac1ff1f869c83

tdf#138540 formula popover in the wrong place

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-12-02 15:59:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/dee8f1aff762bdec03c7a0fa9b4107d86580ec35

tdf#138540 formula popover in the wrong place

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Roman Kuznetsov 2021-02-17 11:07:27 UTC
verified in

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 2c8ffa41ec8e1ab2af95d5e033a445c17d29cf5a
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: threaded Jumbo